org.apache.maven.scm.provider.cvslib.command.branch

## Class CvsBranchConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.tag.CvsTagConsumer
  - - org.apache.maven.scm.provider.cvslib.command.branch.CvsBranchConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class CvsBranchConsumer
    extends CvsTagConsumer

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`CvsBranchConsumer(ScmLogger logger)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.tag.CvsTagConsumer

`consumeLine, getTaggedFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsBranchConsumer

    public CvsBranchConsumer(ScmLogger logger)